kompendium
2.0.1

# PathOperation

data class PathOperation (tags: Set < String >, summary: String ?, description: String ?, externalDocs: ExternalDocumentation ?, operationId: String ?, parameters: List < Parameter >?, requestBody: Request ?, responses: Map < Int , Response >?, callbacks: Map < String , Payload >?, deprecated: Boolean , security: List < Map < String , List < String >>>?, servers: List < Server >?, x-codegen-request-body-name: String ?)
Content copied to clipboard

## Properties

callbacks
Link copied to clipboard
var callbacks : Map < String , Payload >? = null
Content copied to clipboard
deprecated
Link copied to clipboard
var deprecated : Boolean = false
Content copied to clipboard
description
Link copied to clipboard
var description : String ? = null
Content copied to clipboard
externalDocs
Link copied to clipboard
var externalDocs : ExternalDocumentation ? = null
Content copied to clipboard
operationId
Link copied to clipboard
var operationId : String ? = null
Content copied to clipboard
parameters
Link copied to clipboard
var parameters : List < Parameter >? = null
Content copied to clipboard
requestBody
Link copied to clipboard
var requestBody : Request ? = null
Content copied to clipboard
responses
Link copied to clipboard
var responses : Map < Int , Response >? = null
Content copied to clipboard
security
Link copied to clipboard
var security : List < Map < String , List < String >>>? = null
Content copied to clipboard
servers
Link copied to clipboard
var servers : List < Server >? = null
Content copied to clipboard
summary
Link copied to clipboard
var summary : String ? = null
Content copied to clipboard
tags
Link copied to clipboard
var tags : Set < String >
Content copied to clipboard
x-codegen-request-body-name
Link copied to clipboard
var x-codegen-request-body-name : String ? = null
Content copied to clipboard